package com.adealink.weparty.profile.ui.about.adapter

import android.annotation.SuppressLint
import android.view.LayoutInflater
import android.view.ViewGroup
import com.adealink.weparty.commonui.recycleview.adapter.BindingViewHolder
import com.adealink.weparty.commonui.recycleview.adapter.multitype.ItemViewBinder
import com.adealink.weparty.profile.databinding.LayoutProfileEmptyBinding
import com.adealink.weparty.profile.ui.about.data.EmptyItemData


class ProfileEmptyViewBinder() :
    ItemViewBinder<EmptyItemData, BindingViewHolder<LayoutProfileEmptyBinding>>() {

    override fun onCreateViewHolder(
        inflater: LayoutInflater,
        parent: ViewGroup
    ): BindingViewHolder<LayoutProfileEmptyBinding> {
        return BindingViewHolder(LayoutProfileEmptyBinding.inflate(inflater, parent, false))
    }

    @SuppressLint("SetTextI18n")
    override fun onBindViewHolder(
        holder: BindingViewHolder<LayoutProfileEmptyBinding>,
        item: EmptyItemData
    ) {
    }

}